Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.ajp
Class AjpAprProtocol.AjpConnectionHandler

    java.lang.Object
      org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler

All Implemented Interfaces:
  AprEndpoint.Handler

Enclosing class:
  AjpAprProtocol

protected static class AjpAprProtocol.AjpConnectionHandler
extends java.lang.Object
implements AprEndpoint.Handler

Field Summary
`protected static int` | `count`
`protected RequestGroupInfo` | `global`
`protected java.lang.ThreadLocal` | `localProcessor`
`protected AjpAprProtocol` | `proto`

Constructor Summary
`AjpAprProtocol.AjpConnectionHandler(AjpAprProtocol proto)`

Method Summary
`boolean` | `process(long socket)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proto

    protected AjpAprProtocol proto

### count

    protected static int count

### global

    protected RequestGroupInfo global

### localProcessor

    protected java.lang.ThreadLocal localProcessor

Constructor Detail

### AjpAprProtocol.AjpConnectionHandler

    public AjpAprProtocol.AjpConnectionHandler(AjpAprProtocol proto)

Method Detail

### process

    public boolean process(long socket)

  Specified by:
    `process` in interface `AprEndpoint.Handler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.